---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - cae21588-809f-51b5-b3af-da6eb2d28d54
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.283
    water_vapour:
      id:
      - 5903601d-fab2-50f9-8359-1f60333f08f0
      tier: DEFINITIVE
      value: 2.9600000381469727
  id: e01fc13e-f521-47d3-9fe2-54ab23db520c
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1996.4313947526093
      BAND-11: 243.04579921023833
      BAND-12: 83.12596430723458
      BAND-2: 2040.656202923013
      BAND-3: 1910.7784153527857
      BAND-4: 1560.150586743472
      BAND-5: 1440.2201070710692
      BAND-6: 1314.2050360688588
      BAND-7: 1203.0804987884994
      BAND-8: 1065.5325052586256
      BAND-8A: 971.6818142133952
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-11-18 00:12:41.811568Z
    atime: 2022-11-28 11:23:25Z
    ctime: 2022-11-18 06:08:20Z
    mtime: 2022-11-18 06:08:07Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-11/20S150E-25S155E/S2A_MSIL1C_20221118T001111_N0400_R073_T56KLB_20221118T021940.zip
  system_information:
    hostname: gadi-cpu-clx-1501.gadi.nci.org.au
    runtime_id: 12e75aca-6f0f-11ed-975a-00000189fe80
    time_processed: 2022-11-28 11:23:25.068641Z
    uname: 'Linux gadi-cpu-clx-1501.gadi.nci.org.au 4.18.0-372.26.1.el8.nci.x86_64
      #1 SMP Mon Sep 19 12:09:59 AEST 2022 x86_64'
gqa:
  colors:
    blue: 19.0
    green: 112.0
    red: 5.0
    teal: 59.0
    yellow: 10.0
  error_message: no errors
  final_qa_count: 172
  granule: S2A_OPER_MSI_L1C_TL_ATOS_20221118T021940_A038680_T56KLB_N04.00
  ref_date: '2014-09-03T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/091/074/LC80910742014246LGN00_B2.TIF
  residual:
    abs:
      x: 0.51
      xy: 0.73
      y: 0.52
    abs_iterative_mean:
      x: 0.28
      xy: 0.39
      y: 0.27
    cep90: 0.76
    iterative_mean:
      x: 0.21
      xy: 0.21
      y: 0.01
    iterative_stddev:
      x: 0.28
      xy: 0.45
      y: 0.35
    mean:
      x: 0.26
      xy: 0.27
      y: -0.04
    stddev:
      x: 0.9
      xy: 1.37
      y: 1.04
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.1576205785647692
    cloud: 95.88167922468737
    cloud_shadow: 0.02278691842429189
    snow: 0.011061675309637326
    water: 3.9268516030139247
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 2.2361372390934338
    cloud: 97.76386276090656
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
